PSP Custom Firmware ....... Modding in a Shop - Central/NW London

8
Found 30th May 2007
Anyone know a shop or stall in London where I can take my PSP and get the firmware altered to a Dark Alex homebrew or 1.5, in a while-u-wait kind of service?

I am too scared of bricking my PSP and I don't really facing sending it to folks on eBay.

Any idea on how much it might cost?

Thanks in advance!

9 Comments

What version are you on right now?

It's easy mate - there is even a guide on here inc all the files

I did it for the 1st time last month (inc a LCD screen swap) - and have done 2 since - all have been sound !!

Original Poster

Blanco

What version are you on right now?



2.71 - with no modifications

I want to play GTA Vice City Stories but I understand that my current F/W will need to upgrade to 2.81 as soon as I put the UMD in.

I bought LCS and VCS at the same time ..... I am nearly finished with LCS.

Original Poster

Bump ....... still prefer to do this in a shop face to face :thumbsup:

Might get a better response of the deal wanted board? Im sure there would be someone who would do it for you/know someone who can in london.

ChrisUK

It's easy mate - there is even a guide on here inc all the files :)I did … It's easy mate - there is even a guide on here inc all the files :)I did it for the 1st time last month (inc a LCD screen swap) - and have done 2 since - all have been sound !!


w3rdage- just go to [url]www.psp-hacks.com[/url] and follow the advice *exactly* and you can't go wrong.

Upgrade to 2.80 first and then follow the guide from there. First downgrade to 1.50 (lethal part) and then upgrade to 3.40 OE-A. If you make a brick (with your PSP or otherwise http://i18.tinypic.com/53ua4p0.gif ) you always have the option of using a mod chip which fixes everything. I was going to offer to do it for you free of charge but am unavailable at present.

I wouldn't bother with letting a shop do it, even if its only a small price.

You can easily do it yourself for FREE. You've got the LCS game which is required (atleast for some versions) for the downgrade so you'll be fine.

I wrote a guide a while ago; projectpsp.com/for…844

Instead of going to 3.03 you can goto 3.40 OE-A or whatever version you wish (3.40 OE-A is the newest and 'best'). Or just use Blanco's advice.

Original Poster

Unfortunately for me my LCS is the patched version.

I got it from Play ....... the case is the same as the unpatched version but my UMD has the dreaded #2 at the end ...... and the 2.60 f/w update.

Thanks to all for the links, I will read through and decide whether I am brave enough!

Banned

bookshifter

Unfortunately for me my LCS is the patched version.I got it from Play … Unfortunately for me my LCS is the patched version.I got it from Play ....... the case is the same as the unpatched version but my UMD has the dreaded #2 at the end ...... and the 2.60 f/w update.Thanks to all for the links, I will read through and decide whether I am brave enough!



I'm happy to help you on msn mate, helped about 5 people on msn before :thumbsup: Quite simple
Post a comment
Avatar
@
    Text